<div id="ribbon">
    <!-- breadcrumb -->
    <ol class="breadcrumb">
       
        <li>{{LANG.USER}}</li>
    </ol>
    <!-- end breadcrumb -->
</div>





<div  class="pad-t-13 col-md-12">
    <div class="bg-color-white pad-15 border-ccc ">
        <div class="panel-group">
            <div class="panel panel-default">
                    <div class="panel-body bg-gray">   
                        <p >{{LANG.SEARCH}}</p>
                        <input type="text" class="form-control" placeholder="{{LANG.NAME}}" ng-model="formDataSearch.name">    
                    </div>
                    <div class="panel-footer">  
                        
                        <div class="row">
                            <div class="col-md-6">
                                <table>
                                    <tr>
                                        <td> {{LANG.SHOW}} :&nbsp;</td>
                                        <td width="50">
                                            <select class="form-control" ng-model="formDataSearch.limit" ng-change="showLimit(formDataSearch.limit)">
                                                <option value="10"> 10</option>
                                                <option value="20"> 20</option>
                                                <option value="30"> 30</option>
                                                <option value="40"> 40</option>
                                                <option value="50"> 50</option>
                                                <option value="100"> 100</option>
                                                <option value="150"> 150</option>
                                                <option value="200"> 200</option>
                                                <option value="250"> 250</option>
                                                <option value="300"> 300</option>
                                                <option value="350"> 350</option>
                                                <option value="400"> 400</option>
                                            </select>
                                        </td>
                                        <td class="pad-t-4">
                                            &nbsp;&nbsp;
                                            <paging
                                                page="page"
                                                page-size="limit"
                                                total="total"
                                                hide-if-empty="true"
                                                show-prev-next="true"
                                                show-first-last="true"
                                                text-first="First"
                                                text-last="Last"
                                                text-next=">>"
                                                text-prev="<<"
                                                paging-action="getListUser(page)">
                                            </paging>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-6">
                                <div class="pull-right pad-t-4">
                                    <button ng-click="getListUser()" class="btn btn-primary " type="button">{{LANG.SEARCH}}</button>
                                    <button data-toggle="modal" data-target="#createUser" class="btn btn-success" type="button">{{LANG.CREATE}}</button>
                                    <button class="btn btn-default" type="reset">{{LANG.CANCEL}}</button>
                                    </div>
                            </div>
                        </div>
                   
                    </div>
            </div>
        </div>
        <div class="table-responsive">	
            <table class="table table-hover table-bordered small">
                <thead>
                    <tr>
                        <th>{{LANG.NON}}</th>
                        <th>{{LANG.NAME}}</th>
                        <th>{{LANG.EMAIL}}</th>
                        <th class="text-center" width="100">{{LANG.ACTION}}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(key,dataUser) in listUser">
                        <td>{{dataUser.index}}</td>
                        <td>{{dataUser.name}}</td>
                        <td>{{dataUser.email}}</td>
                        <td class="text-right">
                            <a class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editUser" ng-click="updateUser(dataUser)"><i class="fa fa-edit"></i></a>
                            <a class="btn btn-xs btn-danger" data-toggle="modal" data-target="#deleteUser" ng-click="showFormDeleteUser(dataUser.id)"><i class="fa fa-trash"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="clear">

</div>



<div class="modal fade" id="createUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="form" novalidate="novalidate" ng-submit="form.$valid && saveUser() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.USER}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.name"  placeholder="" required />
                            <div ng-show="form.$submitted || form.name.$touched">
                                <div ng-show="form.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.EMAIL}} :</label>
                            <input type="text" class="form-control" name="email"  ng-model="formData.email" placeholder="" required />
                            <div ng-show="form.$submitted || form.email.$touched">
                                <div ng-show="form.email.$error.required" class="text-danger">{{LANG.EMAIL_REQUIRED}}</div>
                            </div>
                        </div>

                        <!-- <div class="form-group">
                            <label>{{LANG.USER_GROUP}} :</label>
                            
                            <select class="form-control no-border-radius" >
                                <option>Articles</option>
                                <option>Tutorials</option>
                                <option>Freebies</option>
                            </select>
                        </div> -->

                        <div class="form-group">
                            <label>{{LANG.PASSWORD}} :</label>
                            <input type="password" class="form-control" name="password" ng-model="formData.password" required />
                            <div ng-show="form.$submitted || form.password.$touched">
                                <div ng-show="form.password.$error.required" class="text-danger">{{LANG.PASSWORD_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.CONFIRM_PASSWORD}} :</label>
                            <input type="password" class="form-control" name="con_name" ng-model="formData.con_name" required />
                            <div ng-show="form.$submitted || form.con_name.$touched">
                                <div ng-show="form.con_name.$error.required" class="text-danger">{{LANG.CONFIRM_PASSWORD_REQUIRED}}</div>
                            </div>
                        </div>
                    </div>
                </div>
              
                
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="editUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="formUpdate" novalidate="novalidate" ng-submit="formUpdate.$valid && editUser() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.USER}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateUser.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.EMAIL}} :</label>
                            <input type="text" class="form-control" name="email"  ng-model="formUpdateUser.email" placeholder="" disabled required />
                        </div>
                        <!-- <div class="form-group">
                            <label>{{LANG.USER_GROUP}} :</label>
                            
                            <select class="form-control no-border-radius" >
                                <option>Articles</option>
                                <option>Tutorials</option>
                                <option>Freebies</option>
                            </select>
                        </div> -->
                        <div class="form-group">
                            <label>{{LANG.PASSWORD}} :</label>
                            <input type="password" class="form-control" name="new_password" ng-model="formUpdateUser.new_password"  />
                          
                        </div>
                        <!-- <div class="form-group">
                            <label>{{LANG.CONFIRM_PASSWORD}} :</label>
                            <input type="password" class="form-control" name="con_name" ng-model="formUpdateUser.con_name"  />
                           
                        </div> -->
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="deleteUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog ">
       
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.DELETE}}</h4>
            </div>
            <div class="modal-body">
                <h3>{{LANG.DO_YOU_WANT_TO_DELETE}}</h3>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" ng-click="deleteUser(userId)">
                    {{LANG.YES}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.NO}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
       
    </div><!-- /.modal-dialog -->
</div>

